{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}


<body>
    


    <aside class="container">
        
        <div class="mangatheque-title">
            <a href="{{ path('app_home') }}" class="btn">MangaDex</a>
        </div>
    
        <nav>
            <ul class="nav-ul">
                <li class="portfolio-buttons"><i class="far fa-newspaper fa-2x"></i><a href="{{ path('app_home') }}">Nouveautés</a></li>
                <li class="portfolio-buttons"><i class="fas fa-book fa-2x"></i><a href="{{ path('app_home_collection') }}">Collection</a></li>
                <li class="portfolio-buttons"><i class="fas fa-search fa-2x"></i><a href="{{ path('app_home_recherche') }}">Recherche</a></li>
                <li class="portfolio-buttons"><i class="fas fa-shopping-basket fa-2x"></i><a href="{{ path('app_home_panier') }}">Panier</a></li>
            </ul>
        </nav>

        
        
        <div class="account">
            <p><i class="fas fa-user-circle"></i> 
            {% if app.user %}
                <a href="{{ path('app_home_account') }}">Compte</a></p>   
            {% else %}
                <a href="{{ path('app_register') }}">Se Connecter</a></p>      
            {% endif %}    
        </div>
        
    </aside>

    <section>

        <div class="account-page">
            

            <div>
                <a id="btn-donnes-perso" href="{{ path('app_home_account') }}" class="button button5">MES DONNEES PERSONELLES</a>
            </div>

            <div>
                <a href="{{ path('app_home_account_commande') }}" class="button button5">MES COMMANDES</a>
            </div> 
        </div>

        <p class="line"></p>
        <div class="container-flex-recherche">
            <div class="account-page-info">
                <h1>Mes infos</h1>
            </div>
            <div class="card-account-info">
                <h1> Prénom : {{ app.user.firstName }}</h1>
            </div>
            <div class="card-account-info">   
                <h1>Nom : {{ app.user.lastName }}</h1>
            </div>
            <div class="card-account-info">
                <h1>Email : {{ app.user.email }}</h1>
            </div>
            {% if app.user.customer %}
             <div class="card-account-info">
                <h1>Téléphone : {{ app.user.customer.phone }}</h1>
            </div>
            <div class="card-account-info">
                <h1>Adresse : {{ app.user.customer.adresse1 }}</h1>
            </div>
            <div class="card-account-info">
                <h1>Complément d'adresse : {{ app.user.customer.adresse2 }}</h1>
            </div>
            <div class="card-account-info">
                <h1>Ville : {{ app.user.customer.city }}</h1>
            </div>
            {% endif %}
            <div class="btn-account-info">
                <div>
                    {# <a href="{{ path("app_register_edit_user",{id: userId}) }}" class="button button5">Modifier</a> #}
                    <a href="{{ path("app_register_edit_user") }}" class="button button5">Modifier</a>
                </div>
    
                <div>
                    <a href="{{ path('app_logout') }}" class="btn-logoff">Se déconnecter</a>
                </div> 
            </div>

        </div>   
    </section>

   


<section class="mobile-footer">
    <nav>
        <ul class="nav-footer">
            <li><a href=""><i class="far fa-newspaper fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-book fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-search fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-shopping-basket fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-user-circle"></i></a></li>
        </ul>
    </nav>
        
</section>
</body>
{% endblock %}